Loading...
Searching...
No Matches
XrdSysAtomics.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | AtomicAdd(x, y)
#define | AtomicBeg(Mtx)
#define | AtomicCAS(x, y, z)
#define | AtomicDec(x)
#define | AtomicEnd(Mtx)
#define | AtomicFAdd(w, x, y)
#define | AtomicFAZ(x)
#define | AtomicFSub(w, x, y)
#define | AtomicFZAP(w, x)
#define | AtomicGet(x)
#define | AtomicInc(x)
#define | AtomicRet(mtx, x)
#define | AtomicSub(x, y)
#define | AtomicZAP(x)
#define | CPP_ATOMIC_LOAD(x, order)
#define | CPP_ATOMIC_STORE(x, val, order)
#define | CPP_ATOMIC_TYPE(kind)

## Macro Definition Documentation

## AtomicAdd

#define AtomicAdd | ( |  | x,
|  |  | y )

Value:
x += y

Definition at line 65 of file XrdSysAtomics.hh.

Referenced by XrdLinkXeq::Recv(), XrdLinkXeq::Recv(), XrdLinkXeq::Recv(), XrdLinkXeq::RecvAll(), XrdLinkXeq::Send(), XrdLinkXeq::Send(), XrdLinkXeq::Send(), XrdLinkXeq::syncStats(), XrdLinkXeq::TLS_Recv(), XrdLinkXeq::TLS_Recv(), XrdLinkXeq::TLS_Recv(), XrdLinkXeq::TLS_Send(), XrdLinkXeq::TLS_Send(), and XrdLinkXeq::TLS_Send().

## AtomicBeg

#define AtomicBeg | ( |  | Mtx | ) |

Value:
Mtx.Lock()

Definition at line 63 of file XrdSysAtomics.hh.

Referenced by XrdThrottleManager::Apply(), XrdOucCacheStats::Count(), XrdPosixStats::Count(), XrdPosixFile::FSize(), XrdXrootdProtocol::getSID(), XrdPosixObject::Ref(), XrdSecsssEnt::Ref(), XrdLinkXeq::Stats(), XrdCmsClientMan::Suspended(), XrdLinkXeq::syncStats(), XrdSecsssEnt::UnRef(), and XrdPosixObject::unRef().

## AtomicCAS

#define AtomicCAS | ( |  | x,
|  |  | y,
|  |  | z )

Value:
if (x == y) x = z

Definition at line 67 of file XrdSysAtomics.hh.

Referenced by XrdCl::DefaultEnv::GetPostMaster().

## AtomicDec

#define AtomicDec | ( |  | x | ) |

Value:
x--

Definition at line 68 of file XrdSysAtomics.hh.

Referenced by XrdSys::IOEvents::PollE::Exclude(), XrdSys::IOEvents::PollKQ::Exclude(), XrdOssFile::ReadV(), XrdLinkXeq::syncStats(), XrdSecsssEnt::UnRef(), and XrdPosixObject::unRef().

## AtomicEnd

#define AtomicEnd | ( |  | Mtx | ) |

Value:
Mtx.UnLock()

Definition at line 64 of file XrdSysAtomics.hh.

Referenced by XrdThrottleManager::Apply(), XrdOucCacheStats::Count(), XrdPosixStats::Count(), XrdPosixFile::FSize(), XrdXrootdProtocol::getSID(), XrdPosixObject::Ref(), XrdSecsssEnt::Ref(), XrdLinkXeq::Stats(), XrdCmsClientMan::Suspended(), XrdLinkXeq::syncStats(), XrdSecsssEnt::UnRef(), and XrdPosixObject::unRef().

## AtomicFAdd

#define AtomicFAdd | ( |  | w,
|  |  | x,
|  |  | y )

Value:
{w = x; x += y;}

Definition at line 66 of file XrdSysAtomics.hh.

## AtomicFAZ

#define AtomicFAZ | ( |  | x | ) |

Value:
x; x = 0

Definition at line 69 of file XrdSysAtomics.hh.

Referenced by XrdLinkXeq::syncStats().

## AtomicFSub

#define AtomicFSub | ( |  | w,
|  |  | x,
|  |  | y )

Value:
{w = x; x -= y;}

Definition at line 74 of file XrdSysAtomics.hh.

## AtomicFZAP

#define AtomicFZAP | ( |  | w,
|  |  | x )

Value:
{w = x; x = 0;}

Definition at line 70 of file XrdSysAtomics.hh.

## AtomicGet

#define AtomicGet | ( |  | x | ) |

Value:
x

Definition at line 71 of file XrdSysAtomics.hh.

Referenced by XrdSys::IOEvents::PollE::Begin(), XrdSys::IOEvents::PollKQ::Begin(), XrdOucBackTrace::DoBT(), XrdPosixFile::FSize(), XrdCl::DefaultEnv::GetPostMaster(), XrdLinkXeq::Stats(), XrdCmsClientMan::Suspended(), and XrdOucBackTrace::XrdBT().

## AtomicInc

#define AtomicInc | ( |  | x | ) |

Value:
x++

Definition at line 72 of file XrdSysAtomics.hh.

Referenced by XrdLinkCtl::Alloc(), XrdOucCacheStats::Count(), XrdPosixStats::Count(), XrdOucBackTrace::Filter(), XrdXrootdProtocol::getSID(), XrdSys::IOEvents::PollE::Include(), XrdSys::IOEvents::PollKQ::Include(), XrdOssFile::ReadV(), XrdPosixObject::Ref(), and XrdSecsssEnt::Ref().

## AtomicRet

#define AtomicRet | ( |  | mtx,
|  |  | x )

Value:
{mtx.Lock(); int _ ## x = x; \
mtx.UnLock(); return _ ## x;}

Definition at line 76 of file XrdSysAtomics.hh.

#define AtomicRet(mtx, x) {mtx.Lock(); int _ ## x = x; \
mtx.UnLock(); return _ ## x;}

Referenced by XrdCmsClientMan::isActive(), XrdPosixFile::Offset(), XrdPosixObject::Refs(), and XrdCmsClientMan::waitTime().

## AtomicSub

#define AtomicSub | ( |  | x,
|  |  | y )

Value:
x -= y

Definition at line 73 of file XrdSysAtomics.hh.

## AtomicZAP

#define AtomicZAP | ( |  | x | ) |

Value:
x = 0

Definition at line 75 of file XrdSysAtomics.hh.

Referenced by XrdOucBackTrace::Filter().

## CPP_ATOMIC_LOAD

#define CPP_ATOMIC_LOAD | ( |  | x,
|  |  | order )

Value:
x

Definition at line 95 of file XrdSysAtomics.hh.

Referenced by XrdSys::IOEvents::Channel::Enable().

## CPP_ATOMIC_STORE

#define CPP_ATOMIC_STORE | ( |  | x,
|  |  | val,
|  |  | order )

Value:
x = val

Definition at line 96 of file XrdSysAtomics.hh.

Referenced by XrdSys::IOEvents::PollE::Begin(), and XrdSys::IOEvents::Poller::TmoGet().

## CPP_ATOMIC_TYPE

#define CPP_ATOMIC_TYPE | ( |  | kind | ) |

Value:
kind

Definition at line 97 of file XrdSysAtomics.hh.